
/* Fuentes */
@font-face {
    font-family: 'MenaGrotesk';
    src: url(/fonts/MenaGroteskRegular.woff2)format("woff2");
    font-weight: 500;
    font-style: normal;
}

@font-face {
  font-family: 'MenaGroteskSemiBold';
  src: url(/fonts/MenaGroteskSemiBold.woff2) format("woff2");
  font-weight: 600;
  font-style: normal;
}






* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}



:root {
    --color-bg: #EBECF2;
    --color-surface: #FFFFFF;
    --color-border: #9A9EB2;
    --color-text-primary: #000;
    --color-text-secondary: #3F435D;
    --color-tooltip-bg: #2A2E33;
    --color-tooltip-text: #fff;
    --shadow-border: rgba(0, 0, 0, 0.1);
    --user-bg-color: #FAFAFC;
    --color-btn-bg:#fff;
    --color-btn:rgb(117, 117, 117);
}



.sidebar.tema-oscuro {
    --color-bg:#808084;
    --color-surface:#505253;
    --color-border:#2b2d3b;
    --color-text-primary:#ffffff;
    --color-text-secondary:#9ca2b8;
    --color-tooltip-bg:#fff;
    --color-tooltip-text:#000;
    --shadow-border:rgba(255, 255, 255, .1);
    --user-bg-color:#fafafc;
    --color-btn-bg:#2b2d3b;
    --color-btn:#fafafc;
}




a {
    cursor: pointer;
}
li {
    list-style: none;
}


body {
    display: flex;
    flex-direction: column;
    align-items: center; 
	justify-content:center;
    font-family: "MenaGrotesk", sans-serif;
	background-color: #808080;   
}





/* lenguajes */
.lang-selector-container{
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-top: -10rem;
    margin-bottom: 2rem;
    
}
.lang-selector-container a {
    transition: opacity 0.3s ease-in-out;
}
#language img {

    border-radius: 10%;
}


/* Boton imprimir pantalla */
#print-btn-container {
    
}
#print-btn {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 1rem;
    right: 1rem;
    width: 3rem;
    height: 3rem;
    border: none;
    background-color: var(--color-btn-bg);
    border-radius: 50%;
    box-shadow: 0 0 10px var(--shadow-border);
    transition: all .3s ease;
    cursor: pointer;
    opacity: .8;
}
#print-btn:hover {
    opacity: 1;
}

/* End boton imprimir pantalla */

/* Tema colores */
#tema-language-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
    margin-top: -250px;
}

.tema-colores-class {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-top: -20px;
}

.tema-colores {   
    width: 2rem;
    height: 2rem;
    border-radius: 10px;
    border: 1px solid var(--color-border);
    cursor: pointer;
}

.tema-white {
    background-color: white;
}
.tema-orange {
    background-color: #DFB37B;
}
.tema-oscuro {
    background-color: #000;
}

.sidebar.tema-oscuro .img-mallorca::before {
    content: ""; 
    background-image: url("../media/IconoMallorcaWhite.png");
}



/* Sidebar */
.sidebar {
    position: fixed;   
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    
    width: 15rem;
    height: 100%;
    padding: 1.4rem 1rem 0 1rem;
    background-color: var(--color-surface);
    box-shadow: 1px 0px 10px var(--shadow-border);
    transition: all .5s ease;
    z-index: 10;
    
}

.sidebar .menu-link img {
    width: 55px;
    height: auto;
}

.sidebar.minimize {
    width: 5.5rem;
 
}



.sidebar.minimize #tema-colores-container{
    display: none;
}
.sidebar.minimize .menu-link img {
    width: 35px;
    
}

/* Header */
.header {
    position: relative;
    width: 100%;
}

/* Btn */

.menu-btn {
    position: absolute !important;
    display: grid;
    place-items: center;
    top: 3.5%;
    right: -2.87rem !important;
    width: 1.75rem;
    height: 1.75rem;
    border-radius: 50%;
    background-color: var(--color-btn-bg);
    fill: var(--color-btn);
    box-shadow: 2px 2px 5px var(--shadow-border);
    cursor: pointer;
    transition: right .3s ease;
}
.sidebar.minimize .menu-btn {
    right: -1.2rem;
    transition: transform .3s ease;
}
.sidebar.minimize .menu-btn svg {
    transform: rotate(180deg);
    transition: all .3s ease;
}
.menu-btn:hover {
   transform: scale(1.1);
}

/* Brand */
.brand {
    width: 100%;
    display: flex;
    align-items: center;
    gap: .7rem;
    padding-left: .455rem;
    margin-bottom: 1rem;
    margin-top: -25px;
    overflow: hidden;
    
}

.brand img {
    width: 10rem;
}


/* menu container */
.menu-container {
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    
}


.search {

    display: flex;
    width: 100%;
    padding: .55rem .8rem;
    margin-bottom: 1.2rem;
    border-radius: .3rem;
    box-shadow: 0 0 0 1px var(--color-border);
    cursor: pointer;
    transition: box-shadow .5s ease;
}
.search:hover {
    box-shadow: 0 0 0 1px var(--color-text-primary);
}
.sidebar.minimize .search {
    box-shadow: none;
}
.sidebar.minimize .search:hover {
    background-color: var(--color-bg);
}

.search img {
    color: var(--color-text-secondary);
   
}

.search svg:hover {
    color: var(--color-text-primary);
}

.search input {
    width: 70%;
    border: none;
    outline: none;
    background-color: transparent;
    color: var(--color-text-primary);
}

/* Menu */
.menu {
    display: flex;
    flex-direction: column;
    gap: .5rem;
    width: 100%;
    margin-top: 50px;
}

.menu-item {
    position: relative;
    list-style: none;
    overflow: hidden;

}

.menu .menu-link {

    display: flex;
    align-items: center;
    padding: .55rem 0;
    color: var(--color-text-secondary);
    text-decoration: none;
    border-radius: .3rem;
    font-family: 'MenaGroteskSemiBold', 'sans-serif';
    
}

.menu-item:hover .menu-link:hover, 
.sub-menu-sidebar .sub-menu-link:hover,
.sub-menu-sidebar .sub-menu-link-2:hover,
.menu-item.active .menu-link  {
    color: var(--color-text-primary);
    background-color: var(--color-bg);
}

.menu-link img:first-child {

    margin-right: .55rem;
    margin-left: 1rem;
}
.menu-link svg:last-child {
    transition:  transform .3s ease;
    margin-left: auto;
}
.sidebar.minimize .menu-link svg:last-child{
    display: none;
}

.menu-item.sub-menu-toggle .menu-link svg:last-child {
    transform: rotate(180deg);
}

.menu-link span {
    font-size: 1rem;
    font-weight: 500;
}

.sidebar.minimize .menu-item:hover,
.sidebar.minimize .menu-item.sub-menu-toggle {
    overflow: visible;
}

.sidebar.minimize .menu-item:hover span,
.sidebar.minimize .menu-item.sub-menu-toggle span{
    position: absolute;
    left: 4.9rem;
    padding: .5rem;
    background-color: var(--color-tooltip-bg);
    border-radius: .4rem;
    color: var(--color-tooltip-text);
    transition: all .3s ease;
}

/* submenu */
.sub-menu-sidebar { 
    height: 0;
    transition: all .3s ease;
    overflow: hidden;
    left: 0;
}


.sidebar.minimize .sub-menu-sidebar {
    position: absolute;
    left: 4.8rem;
    top: 2.9rem ;
    background-color: var(--color-surface);
    border-radius: .2rem;
}

.sidebar.minimize .menu-item.sub-menu-toggle .sub-menu-sidebar {
    padding: .5rem;
}

.sub-menu-sidebar .sub-menu-link,
.sub-menu-sidebar .sub-menu-link-2 {
    display: flex;
    margin-left: 2.5rem;
    padding: .55rem .50rem;
    font-size: .75rem;
    font-weight: 500;
    color: var(--color-text-secondary);
    text-decoration: none;
    border-radius: .3rem;

} 


.sub-menu-sidebar::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 0.07rem;
    margin-left: 1.4rem;
    background-color: var(--color-border);
}
.sidebar.minimize .sub-menu-sidebar::before {
    width: 0;
}
.sidebar.minimize .sub-menu-sidebar a {
    margin: 0 .5rem;
}
/* submenu2  eliminar si no funciona*/
.sub-menu-link-2 + ul {
    height: 0;
    overflow: hidden;
    padding: 0;
    transition: all 0.3s ease;
}
.sub-menu-link-2.sub-submenu-toggle + ul {
    /* Cuando está abierto */
    height: auto;
    padding: 0.2rem 1.8rem;
}
/* sidebar Buttons */

.sidebar-btn {
    display: none;
}

/* Main */
main {
    padding: 2rem 3rem 3rem 17rem;
    transition: padding .5s ease;
}
main h1 {
    color: var(--color-text-primary);
}
.sidebar.minimize + main {
    padding-left: 7.96rem;
}
.lang-selector-container{
    display: flex;
    justify-content: center;
    width: 100%;

}
.tema-colores,
#language {
    transition:transform .3s ease;
    text-decoration: none;
    color: var(--color-text-secondary);
    font-size: .8rem;
    margin-bottom: -170px;
    
}
.tema-colores:hover,
#language:hover {
    color: var(--color-text-primary);
}

.dark-mode-btn {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #FFFFFF;
    width: 2.4rem;
    height: 2.4rem;
    bottom: 2rem;
    right: 2rem;
    border-radius: 50%;
    box-shadow: 0 0 10px 2px var(--shadow-border);
    cursor: pointer;
    overflow: hidden;
}
.dark-mode-btn svg {
    position: absolute;
}

.dark-mode-btn svg:last-child {
    transform: translateY(150%);
}
body.dark-mode .dark-mode-btn svg:last-child {
    transform: translateY(0);
}
body.dark-mode .dark-mode-btn svg:first-child {
    transform:translateY(-150%)
}

/* Dark mode */
.brand-dark {
    display: none;
}
.sidebar.minimize .brand img{
    margin-top: 20px;
    width: 10.9rem;
    margin-bottom: 1.8rem;
}

/* Footer */

/* Responsive */
@media (max-height : 638px) {
   .menu-container {
    overflow-y: auto;
   }
   .search{
    box-shadow: none;
    border: 2px solid var(--color-border);
   }
   .search:hover {
    box-shadow: none;
   }
   main {
    padding: 2rem;
   }
}

@media (max-width:700px) or (max-height:638px) {
    #menu-btn {
        display: none;
    }
    .sidebar {
        transform: translateX(-100%);
        transition: transform .3s ease;
    }
    .sidebar-btn {
        display: grid;
        place-content: center;
        right: 1rem;
        padding: 1.2rem;
    }
    .sidebar-btn svg:last-child {
        display: none;
    }
    body.sidebar-hidden .sidebar {
        transform: translateX(0);
    }
    body.sidebar-hidden .sidebar-btn svg:last-child {
        display: flex;
    }

    body.sidebar-hidden .sidebar-btn svg:first-child {
        display: none;
    }
    main {
        padding: 2rem;
    }
}

.divider {  
    width: 100%;
    height: 1px;
    margin-top: -75px;
    margin-bottom: 40px;
    background-color: var(--color-border);
}
.sidebar.minimize .divider {
    margin-top: -45px;
}
.divider-footer {
    margin-bottom: -60px;
}

#tema-language-container .divider {
    position: absolute;
    bottom: 130px;
    width: 85%;
    background-color: var(--color-border);
}
